# Administration Reference

## upserver

Purpose

Initializes the server portion of the Update Server

Synopsis

    upserver [<directory>+]  [-crypt <directory>+]  [-clear <directory>+]
             [-auth <directory>+]  [-help]

This command does not use the syntax conventions of the AFS command suites. Provide the command name and all option names in full.

Description

The upserver command initializes the server portion of the Update Server (the upserver process). In the conventional configuration, its binary file is located in the /usr/afs/bin directory on a file server machine.

The upserver command is not normally issued at the command shell prompt but rather placed into a file server machine's /usr/afs/local/BosConfig file with the bos create command. If it is ever issued at the command shell prompt, the issuer must be logged onto a database server machine as the local superuser root.

The upserver command specifies which of the directories on the local disk are eligible for distribution in response to requests from the client portion of the Update Server (the upclient process) running on other machines. If no directories are specified, the upserver process distributes the contents of any directory on its local disk.

The upserver process can distribute a directory's contents in encrypted or unencrypted form. By default, it does not use encryption unless an upclient process requests it (this default is equivalent to setting the -clear flag). When the -crypt flag is provided, the upserver process only fulfills requests for encrypted transfer.

For the United States edition of AFS, using the -crypt flag guarantees that the upserver process transfers a directory's contents only in encrypted form. For the international edition, using the -crypt flag completely blocks data transfer, because the international edition of the upclient process cannot request encrypted transfer (the upclient initialization command does not include the -crypt flag).

The upclient and upserver processes always mutually authenticate, whether or not the data they pass is encrypted; they use the key with the highest key version number in the /usr/afs/etc/KeyFile file to construct a server ticket for mutual authentication.

Cautions

Do not use the Update Server to distribute the contents of the /usr/afs/etc directory if using the international edition of AFS. The contents of this directory are sensitive and the international edition of AFS does not include the encryption routines necessary for encrypting files before transfer across the network.

Options

directory
  Names each directory to distribute in unencrypted form (because they appear before the first -crypt or -clear flag on the command line). If this argument is omitted, all directories on the machine's local disk are eligible for distribution.

-crypt
  Precedes a list of one or more directories that the upserver process distributes only in encrypted form.

-clear
  Precedes a list of one or more directories that the upserver process distributes in unencrypted form unless the upclient process requests them in encrypted form. Use this argument only if a list of directories headed by the -crypt flag precedes it on the command line.

-auth
  Precedes a list of one or more directories which the upserver process distributes using a form of encryption that is intermediate in complexity and security between the unencrypted and encrypted levels set by the -clear and -crypt arguments. Do not use this argument, because the upclient process does not have a corresponding argument that it can use to request data transfer at this level.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following example bos create command defines and starts an upserver process on the host machine fs1.abc.com. The last parameter (enclosed in quotes) instructs the upserver process to distribute the contents of the /usr/afs/bin directory in unencrypted form and the contents of the /usr/afs/etc directory in encrypted form.

       % bos create  -server fs1.abc.com -instance upserver -type simple   \
                     -cmd "/usr/afs/bin/upserver /usr/afs/bin -crypt /usr/afs/etc"

Privilege Required

The issuer must be logged in as the superuser root on a file server machine to issue the command at a command shell prompt. It is conventional instead to create and start the process by issuing the bos create command.

Related Information

BosConfig

bos create

upclient

© IBM Corporation 2000. All Rights Reserved